# Method: albums.create

- [HTTP request](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/create#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/create#body.request_body)
  - [JSON representation](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/create#body.response_body)
- [Authorization scopes](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/create#body.aspect)
- [Try it!](https://developers.google.com/photos/library/legacy/reference/rest/v1/albums/create#try-it)

Creates an album in a user's Google Photos library.

### HTTP request

`POST https://photoslibrary.googleapis.com/v1/albums`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "album": { object (`https://developers.google.com/photos/library/legacy/reference/rest/v1/albums#Album`) } } ``` |

| Fields ||
|---|---|
| `album` | ``object (`https://developers.google.com/photos/library/legacy/reference/rest/v1/albums#Album`)`` Required. The album to be created. |

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/photos/library/legacy/reference/rest/v1/albums#Album`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/photoslibrary`
- `https://www.googleapis.com/auth/photoslibrary.appendonly`
- `https://www.googleapis.com/auth/photoslibrary.sharing`